// This is a JavaScript module that is loaded on demand. It can export any number of
// functions, and may import other JavaScript modules if required.

export function getLocalCultureSaved() {
    //return window.localStorage['BlazorCulture'];
    const name = 'uic=';
    let value = getCookie('.AspNetCore.Culture');
    let culture = value?.substring(value.indexOf(name) + name.length) ?? '';
    return culture ?? '';
}

export function saveLocalCulture(value) {
    //window.localStorage['BlazorCulture'] = value;
    setCookie('.AspNetCore.Culture', 'c=' + value + '|uic=' + value, 365); // c=fr-CH|uic=fr-CH
    document.documentElement.setAttribute("lang", value);
}


export function setCookie(name, value, days) {
    if (days) {
        var date = new Date();
        date.setTime(date.getTime() + (days * 24 * 60 * 60 * 1000));
        var expires = "; expires=" + date.toGMTString();
    }
    else {
        var expires = "";
    }
    document.cookie = name + "=" + value + expires + "; path=/";
}

export function getCookie(name) {
    var nameEQ = name + "=";
    var ca = document.cookie.split(';');
    for (var i = 0; i < ca.length; i++) {
        var c = ca[i];
        while (c.charAt(0) == ' ') {
            c = c.substring(1, c.length);
        }
        if (c.indexOf(nameEQ) == 0) {
            return c.substring(nameEQ.length, c.length);
        }
    }
    return null;
}

export function clearCookie(name) {
    setCookie(name, "", -1);
}