
export function startEventListener(componentInstance) {

    let delegate = async () => {
        if (isVisible()) {
            await componentInstance.invokeMethodAsync("OnVisible");
        }
        else {
            await componentInstance.invokeMethodAsync("OnHide");
        }
    }

    document.addEventListener("visibilitychange", delegate);

    return {
        dispose: () => document.removeEventListener("visibilitychange", delegate)
    };
}

export function isVisible() {
    const result = document.visibilityState === 'visible'; // Possible values are: visible, hidden
    return result;
}