
export function startEventListener(componentInstance) {

    let delegateOnline = async () => {
        await componentInstance.invokeMethodAsync("OnNetworkStatusChange", true);
    }
    let delegateOffline = async () => {
        await componentInstance.invokeMethodAsync("OnNetworkStatusChange", false);
    }

    window.addEventListener("online", () => delegateOnline);
    window.addEventListener("offline", () => delegateOffline);

    return {
        dispose: () => {
            window.removeEventListener("online", delegateOnline);
            window.removeEventListener("offline", delegateOffline);
        }
    };
}

export function isOnline() {
    const result = navigator.onLine;
    return result;
}