﻿
export function init(element, componentInstance) {

    if (typeof google == 'undefined') {
        console.error('Google Autocomplete script is missing. Please add it in index.html:', '<script src="https://maps.googleapis.com/maps/api/js?key=PUBLIC_KEY&libraries=places&callback=onMapAPILoaded"></script>');
    }

    var googleDefaultBounds = new google.maps.LatLngBounds(
        new google.maps.LatLng(45.50, 5.7), // sw
        new google.maps.LatLng(48.26, 11.0) // ne
    );

    var autocomplete = new google.maps.places.Autocomplete(
        element,
        {
            types: ['(cities)']
            ,bounds: googleDefaultBounds
            //,componentRestrictions: { country: "CH" }
        }
    );

    google.maps.event.addListener(autocomplete, 'place_changed', async function () {
        var place = autocomplete.getPlace();
        if (place.geometry) {

            var latLng = place.geometry.location;
            var newLat = latLng.lat();
            var newLng = latLng.lng();

            await componentInstance.invokeMethodAsync("OnJSPlaceChanged", { formattedAddress: place.formatted_address, lat: newLat, lng: newLng });
        }
    });

    return {
        dispose: () => dispose()
    };
}

export function dispose() {

    let elements = document.getElementsByClassName('pac-container');
    if (elements) {
        for (var i = elements.length - 1; i >= 0; i--) {
            elements[i].remove();
        }
    }

    let heads = document.getElementsByTagName('head');
    if (heads) {
        for (let i = heads.length - 1; i >= 0; i--) {

            let head = heads[i];

            for (let j = head.children.length - 1; j >= 0; j--) {
                let child = head.children[j];

                if (child.innerHTML.startsWith('.pac-container')) {
                    child.remove();
                }
            }
        }
    }
}